#!/usr/bin/perl
# 
# Copyright 2001 Filippo Rusconi (after Peter Kirchgessner ?)
#
# GNU GPL'ed software (see COPYING file in the distribution)
#
# This is a GIMP script for saving a jpg graphics file under the 
# encapsulated postscript format (destination file will have the ps extension).

use Gimp qw(:auto __ N_);
use Gimp::Fu;

$infile = $ARGV[0];
$outfile = $ARGV[1];

register "", "","","","","","<None>","*","",
  sub {
    $img = gimp_file_load($infile,$infile);
    $drawable = gimp_image_flatten($img); # in case of layers
    file_ps_save($img,$drawable,"$outfile","$outfile",
		 0,0,
		 0,0,
		 1, # unit: millimeters
		 1, # keep aspect ratio
		 0, # angle rotation
		 1, # encaps.postscript (0 for postscript)
		 0, # no preview
		 2) ; #postscript level
		 
    return ();
  };

exit main();
